uk.gov.hmrc.ct.box

# CtInteger

###
Related Doc: package box

#### trait CtInteger extends CtValue[Int]

Self Type
  CtInteger with CtBoxIdentifier

Linear Supertypes
CtValue[Int], AnyRef, Any
Known Subclasses
B1, B10, B11, B118, B12, B121, B13, B15, B155, B16, B165, B17, B170, B174, B18, B19, B190, B20, B21, B235, B275, B285, B295, B3, B30, B300, B305, B315, B330, B335, B35, B37, B385, B43, B44, B46R, B5, B54, B56R, B6, B760, B765, B775, B780, B8, B9, CATO01, CATO02, CATO03, CATO13, CATO14, CATO15, CATO16, CATO20, CATO23, CP100, CP111, CP113, CP114, CP115, CP116, CP117, CP118, CP14, CP239, CP251, CP253, CP256, CP258, CP259, CP264, CP265, CP266, CP273, CP274, CP278, CP292, CP293, CP294, CP295, CP305, CP38, CP39, CP40, CP44, CP45, CP500, CP504, CP507, CP508, CP509, CP511, CP512, CP514, CP54, CP56, CP58, CP59, CP6, CP81, CP87, CP99, CP999, CPAux1, CPAux2, CPAux3, E1003, E1033
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CtInteger
2. CtValue
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def value: Int

   Definition Classes
     CtValue

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def asInt: Option[Int]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def isPositive: Boolean

15. #### def minus(other: Int): Int

16. #### def minus(other: CtOptionalInteger): Int

17. #### def minus(other: CtInteger): Int

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def plus(other: Int): Int

22. #### def plus(other: CtOptionalInteger): Int

23. #### def plus(other: CtInteger): Int

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CtValue[Int]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped